mesos-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rad Gruchalski <ra...@gruchalski.com>
Subject mesos.interface 0.27.2
Date Thu, 10 Mar 2016 20:19:54 GMT
Hi everyone,  

I have successfully upgraded my cluster to 0.27.2 but I have a couple of questions regarding
mesos.interface python package.  
First, I do not see the 0.27.2 version in pypi: https://pypi.python.org/pypi/mesos.interface.
Is that intentional?

Second, I thought it would be better to use the modules built with Mesos. I am building Mesos
myself and package it using mesos-deb-packaging. After installation with apt, I see that the
modules are installed in:

/usr/lib/python2.7/site-packages

I tried the following:

export PYTHONPATH=$PYTHONPATH:/usr/lib/python2.7/site-packages
/usr/local/lib/python2.7/dist-packages/mesos/native$ mesos-ps

But the result is:

Traceback (most recent call last):
  File "/usr/bin/mesos-ps", line 10, in <module>
    from mesos import http
ImportError: cannot import name http


Am I missing some important step here?
Thanks for any pointers.










Kind regards,

Radek Gruchalski

radek@gruchalski.com (mailto:radek@gruchalski.com)
 (mailto:radek@gruchalski.com)
de.linkedin.com/in/radgruchalski/ (http://de.linkedin.com/in/radgruchalski/)

Confidentiality:
This communication is intended for the above-named person and may be confidential and/or legally
privileged.
If it has come to you in error you must take no action based on it, nor must you copy or show
it to anyone; please delete/destroy and inform the sender immediately.



Mime
View raw message